
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《JAVA编程思想》学习笔记——第十一章 持有对象 / 憋错料</title>

    <meta name="description" content="《JAVA编程思想》学习笔记——第十一章 持有对象 JAVA容器类类库的用途是 &quot;保存对象&quot;,并将其划分为两个不同的概念: 1) Collection.一个独立元素的序列,这些元素都服从一条或多条规则.List必须按照插入的顺序保存元素,而Set不能用重复元素.Queue按照排队规则来确定对象产生的顺序(通常与它们被插入的顺序相同) 2)Map.一组成对的 &quot;键值对&quot; 对象,允许你使用键来查找值.ArrayList允许你使用数字 Arrays.asList()方法接受一个数组或是一个用逗号分隔的元素列表(使 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">《JAVA编程思想》学习笔记——第十一章 持有对象</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>JAVA容器类类库的用途是 "保存对象"，并将其划分为两个不同的概念：</p>
<p>1) Collection。一个独立元素的序列，这些元素都服从一条或多条规则。List必须按照插入的顺序保存元素，而Set不能用重复元素。Queue按照排队规则来确定对象产生的顺序(通常与它们被插入的顺序相同)</p>
<p>2)Map。一组成对的 "键值对" 对象，允许你使用键来查找值。ArrayList允许你使用数字</p>
<p>Arrays.asList()方法接受一个数组或是一个用逗号分隔的元素列表(使用可变参数)，并将其转换为一个List对象。Collections.addAll()方法接受一个Collection对象，以及一个数组或是一个用逗号分割的列表，将元素添加到Collection中。</p>
<p>List</p>
<p>由两种基本类型的List:</p>
<p>基本的ArrayList，它长于随机访问元素，但是在List的中间插入和移除元素时较慢。</p>
<p>LinkedList，它通过代价较低的List中间进行的插入和删除操作，提供了优化的顺序访问。LinkedList在随机访问方面相对比较慢，但是它的特性集较ArrayList更大。</p>
<p>Stack："栈"通常是指"后进先出" (LIFO)的容器。Stack可以基于LinkedList实现</p>
<p>Set</p>
<p>Set不保存重复的元素。Set中最常被使用的是测试归属性，你可以很容易地询问某个对象是否在某个Set中。正因如此，查找就成为了Set中最重要的操作，因此你通常都会选择一个HashSet的实现，它专门对快速查找进行了优化。TreeMap基于红黑树，有序。LinkedHashSet基于链表，有序。</p>
<p>Map</p>
<p>将对象映射到其它对象</p>
<p>Queue</p>
<p>队列是一个典型的先进先出(FIFO)的容器。即从容器的一端放入事物，从另一端取出。队列常被当做一种可靠的将对象从程序的某个区域传输到另一个区域的途径。</p>
<p>LinkedList提供了方法以支持队列的行为，并且它实现了Queue接口，因此LinkedList可以用作Queue的一种实现。通过将LinkedList向上转型为Queue。</p>
<p>PriorityQueue</p>
<p>优先级队列声明下一个弹出的元素是最需要的元素(具有最高的优先级)。当你在PriorityQueue上调用offer(0方法插入一个对象时，这个对象会在队列中被排序。默认的排序将使用对象在队列中的自然排序，但是你可以通过提供自己的Comparator来修改这个顺序。PriorityQueue可以确保当你调用peek(), poll()和remove()方法时，获取的元素将是队列中优先级最高的元素。</p>
<p>集合图</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3MyLjUxY3RvLmNvbS93eWZzMDIvTTAyLzhGLzRDL3dLaW9MMWphVnZ1alZpYTVBQUVFb2tKNkhDUTE5Ni5wbmctd2hfNTAweDAtd21fMy13bXBfNC1zXzI0NjI5NjY5MDkucG5n.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 05:22:04 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>《JAVA编程思想》学习笔记——第十一章 持有对象的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDmOqp0.html" rel="bookmark">《Java编程思想》笔记 第十一章 持有对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.保存对象引用 1.数组,数组具有固定大小 2.容器类,可自动调节大小 2.容器类 List  Set  Queue  Map 及常用的实现类 2.1 Collectioon (接口) 保存独立的元素序列,未使用泛型时保存Object对象.(独立并不是不同) 2.1.1 List(接口) 按插入顺序保存 ArrayList :先当于大小可变的数组,随机访问快,插入移除慢. LinkedList :插入移除快,访问慢. 2.1.2 Set(接口) 不能有重复元素 1.HashSet :最快获取元			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vyLvX0.html" rel="bookmark">&lbrack;Java编程思想-学习笔记&rsqb;第3章  操作符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.1  更简单的打印语句 学习编程语言的通许遇到的第一个程序无非打印&quot;Hello, world&quot;了,然而在Java中要写成 System.out.println(&quot;Hello, world&quot;); 我们都会感觉太冗长了,能不能简单一些呢?静态导入可以省略掉System,就像这样 import static java.lang.System.*; public class Hello { public static void main(String[] args) {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoakKn3.html" rel="bookmark">【java编程思想--学习笔记（四）】对象导论</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写这篇博客的前言: 长话短说,我希望通过阅读&lt;java编程思想&gt;来使我的代码 简洁可用 . 目的的层次不同,首先具体的目标是,了解Java的特性和巩固Java的基础. 更抽象的目的如下: 1.期待以巩固基础的方式,使代码优美,简洁,高效. 2.使自己写的模块能够开放适度,好用. 3.形成一种对代码是否优美的审美观. 于是&lt;Java编程思想&gt;第一章 对象导论 由此开始. 1.1 抽象过程 java 相对于命令式语言的优势在于只针对于待解问题建模.后者所做的主要抽象要求所做问题基于计算			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YW8jX4.html" rel="bookmark">&lbrack;Java编程思想-学习笔记&rsqb;第1章  对象导论</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1  抽象过程 Java是一门面向对象的语言,它的一个优点在于只针对待解问题抽象,而不用为具体的计算机结构而烦心,这使得Java有完美的移植性,也即Java的口号&quot;Write Once, Run Anywhere&quot;. 所谓的抽象过程,可以理解为对待解问题建模.比如待解问题是一个人,那么我们可以对人进行建模,它的类型是人,有属性姓名.性别.年龄,还有行为吃饭.走路.Java能直接完全据此建模编码,而无需考虑具体的计算机结构.所以当我们阅读Java程序时,正如书上说的&quot;当你在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vROg63.html" rel="bookmark">&lbrack;Java编程思想-学习笔记&rsqb;第2章  一切都是对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1  创建新的数据类型:类 通过第一章掌握了面向对象的理论后,我们知道每个对象必定属于一个类型,那么Java如何创建新的数据类型?如下程序所示: class Circle { // 属性 // 方法 } 如上所示,使用关键字class定义了类Circle,用花括号{ }将整个类包括起来.当然,这个类还不能做任何事,它还需要定义一些属性和方法. 2.2  属性和方法 面向对象的一个特性就是将数据和方法结合起来.比如对一个圆抽象,可见圆有它的属性半径,它还有方法,如告诉我们它的周长和面积.不光是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBX9AE3.html" rel="bookmark">&lbrack;Java编程思想-学习笔记&rsqb;第4章  控制执行流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4.1  return 关键字return有两方面的用途:一方面指定一个方法结束时返回一个值:一方面强行在return位置结束整个方法,如下所示: 1 char test(int score) { 2 if (score &gt;= 90) 3 return 'A'; 4 if (score &gt;= 80) 5 return 'B'; 6 if (score &gt;= 70) 7 return 'C'; 8 if (score &gt;= 60) 9 return 'D'; 10 else //if			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nqKXKM.html" rel="bookmark">【Java编程思想--学习笔记（一）】访问控制-包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java编程思想–学习笔记(一) 访问控制(或隐藏具体实现)与&quot;最初的实现并不恰当&quot;有关. 1.包:库单元 我们之所以要导入包,就是要提供一个管理名字的空间机制. 每个java文件只能有一个public类.其他私有类为主public·类提供支持. 1.1 代码组织 与编译型语言不同,java可运行程序是一组可以打包并压缩成java文档文件(JAR,使用Java的jar文档生成器)的.class文件. 使用package和import关键字,使得不会出现名称冲突问题. 注意:java包的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/498xan3.html" rel="bookmark">JAVA编程思想学习笔记&mdash;&mdash;第一章 对象导论</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				搞了一年多java,野路子出身,发现java基础这块还是相当的薄弱!故决定学习&lt;Java编程思想&gt;这本书.在此把学习的知识点记录下! 面向对象的五大特性 1.万物皆为对象 2.程序是对象的集合,它们通过发送消息来告诉彼此所要做的 3.每个对象都由自己的由其它对象所构成的存储 4.每个对象都拥有其类型 5.某一特定类型的所有对象都可以接收同样的信息  单根继承结构 所有的类都继承自单一的基类,Object.在单根集成结构中的所有对象都具有一个公用接口,所以他们归根到底都是相同的基本类型.单根集成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgQyyN3.html" rel="bookmark">Java编程思想学习笔记十一：持有对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.基本概念 1.Collecction:一个独立元素的序列,这些元素服从一条或多条规则.list必须按照插入的顺序保存元素:set不能有重复的元素:Queue按照排队规则来确定对象产生的顺序 2.Map:映射表,一组由成对的键值对对象,允许使用键来查找值 1 package holding; 2 import java.util.*; 3 4 public class SimpleCollection { 5 public static void main(String[] args){ 6			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/gMWGerM.html" rel="bookmark" class="title">Redis2&period;6源代码走读第007课：压缩列表02</a>
					<div>
						身体被掏空了一星期, 前天终于挣扎着继续做这个代码走读 不得不说, 压缩列表的实现复杂程度还是超出了我的预计 破天荒的第一次, 我必须手动上注释, 才能防止自己迷失在代码里面. 今天还没有录制视频,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLLpN0.html" rel="bookmark" class="title">CSS权威指南学习笔记 &mdash;&mdash; HTML元素分类</a>
					<div>
						HTML文档由各种元素组成.比如,p.table.span等等.每个元素都会对文档的表现有所影响.CSS中,每个元素都会生成一个框(传说中的盒子),其中包含元素内容. 元素可以根据它的创建方式分为两种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NayoV3.html" rel="bookmark" class="title">虚拟机&plus;linux&plus;大杂烩</a>
					<div>
						出于项目需要,需要用到linux系统.这玩意儿平时很少用,要说体验度还是windows更人性化一些. 1.虚拟机的安装,这个没说的,百度VMware直接下最新版安装就好. 2.接着是linux系统的安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38LGOZ3.html" rel="bookmark" class="title">&lpar;转载&rpar;WCF Demo</a>
					<div>
						WCF编程系列(一)初识WCF Windows Communication Foundation(WCF)是微软为构建面向服务的应用程序所提供的统一编程模型.WCF的基本概念:  地址:定义服务的地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLblb0.html" rel="bookmark" class="title">Linux 中top命令的解读</a>
					<div>
						top 命令是 Linux 下常用的性能分析工具,能够实时显示系统中各个进程的资源占用状况,类似于 Windows 的任务管理器. top用于动态监控进程所占系统资源,每隔3秒变一次.这个命令的特点是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xa6Bj3.html" rel="bookmark" class="title">Socket编程基础&mdash;&mdash;无连接UDP</a>
					<div>
						与面向连接的网络连接相比,无连接的网络通信不需要在服务器与客户端之间建立连接.面向非连接的Socket通信是基于UDP的,服务器端不需要调用listen()和accept()函数来等待客户端的连接:客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j2zG70.html" rel="bookmark" class="title">Redis源码学习-AOF</a>
					<div>
						前言 网络上也有许多介绍redis的AOF机制的文章,但是从宏观上介绍aof的流程,没有具体分析在AOF过程中涉及到的数据结构和控制机制.昨晚特别看了2.8源码,感觉源码中的许多细节是值得细细深究的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLYnJ4.html" rel="bookmark" class="title">Ceph入门----CentOS7部署ceph三节点分布式存储系统</a>
					<div>
						1.Ceph集群环境 使用3台虚拟机,包括其中1个admin节点,三台虚拟机同时承担3个monitor节点和3个osd节点 操作系统采用CentOS Minimal 7 下载地址:http://124 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLakE4.html" rel="bookmark" class="title">度量快速开发平台网格勾选行（标识行），多选行获取方法</a>
					<div>
						度量快速开发平台网格部件中勾选行与多选行都可以使用,我们向导中目前列出了勾选行的获取使用方法,多选行目前职能向导中没有列出,这里介绍一下.  勾选行获取,可以直接智能向导 &quot;获取标识行&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLz9W4.html" rel="bookmark" class="title">Oracle查询客户端编码集</a>
					<div>
						SQL&gt; select userenv('language') from dual; USERENV('LANGUAGE') ---------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wJWA3.html" rel="bookmark" class="title">SpringMVC&lpar;三&rpar;：使用 POJO 对象绑定请求参数值</a>
					<div>
						Spring MVC 会按请求参数名和 POJO 属性名进行自动匹配,自动为该对象填充属性值.支持级联属性.如:dept.deptId.dept.address等 说的通俗点就是,平时我们想将请求页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjEBg0.html" rel="bookmark" class="title">android打造万能的适配器&lpar;转&rpar;</a>
					<div>
						荒废了两天,今天与大家分享一个ListView的适配器 前段时间在学习慕课网的视频,觉得这种实现方式较好,便记录了下来,最近的项目中也使用了多次,节省了大量的代码,特此拿来与大家分享一下. 还是先看图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KPqyj3.html" rel="bookmark" class="title">关于虚拟机</a>
					<div>
						-Xverify:none // 避免虚拟机进行子节码验证,因为eclipse子节码编译已经很可靠 -Xmx512m 堆容量 -Xms512m -Xmn128m //新生代容量 -XX:PermSiz ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qb2xP4.html" rel="bookmark" class="title">websphere设置jvm参数</a>
					<div>
						http://www.quiee.com.cn/archives/592/ websphere 选择服务器-&gt; 应用程序服务器-&gt; Server1-&gt; 进程定义-&gt;Java 虚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgmYXn3.html" rel="bookmark" class="title">ZoomEye&plus;Seebug雷达火炮双引擎的威力</a>
					<div>
						ZoomEye想必大家都很熟悉,不熟悉的话.撒旦总是熟悉的.还不熟悉的话,google你总是熟悉的.否则你实在不应该看这篇文章了.233333,开个玩笑.不过话说回来了,我这么一说,你大概是知道Zoo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vDjYjM.html" rel="bookmark" class="title">ThinkPHP3&period;2学习&mdash;&mdash;架构&lowbar;CBD模式</a>
					<div>
						ThinkPHP从3.0版本开始引入了全新的CBD(核心Core+行为Behavior+驱动Driver)架构模式,因为从底层开始,框架就采用核心+行为+驱动的架构体系,核心保留了最关键的部分,并在重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/355DQv3.html" rel="bookmark" class="title">&period;sh文件 编写格式</a>
					<div>
						http://blog.sina.com.cn/s/blog_54f82cc201010hfz.html 介绍: 1 开头 程序必须以下面的行开始(必须方在文件的第一行): #!/bin/sh 符号# ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35dAPK0.html" rel="bookmark" class="title">LeetCode&colon; Plus One &lbrack;067&rsqb;</a>
					<div>
						好吧,我承认我怂了. 今天在在用laravel框架写一个文件上传的部分.发现路径始终配不对.但是最终还是解决了. 下面我分享一下自己的学习体会吧. 客户端 &lt;form method=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wZ5BV0.html" rel="bookmark" class="title">centos 安装php扩展的两种方法</a>
					<div>
						版权声明:本文为博主原创文章,未经博主允许不得转载. 目录(?)[+] 查看PHP版本: php -v 1 1 查看指定PHP版本: /usr/local/php/bin/php -v 1 1 查看P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZKB7G4.html" rel="bookmark" class="title">lr&lowbar;Analysis Options选项介绍</a>
					<div>
											</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
